package cn.estsh.i3plus.ext.mes.pcn.api.job;

import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderCalcQtyRecord;
import cn.estsh.i3plus.pojo.mes.bean.offline.MesWorkOrderOffline;
import cn.estsh.impp.framework.boot.exception.ImppBusiException;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface IMesWorkOrderCalcQtyRestoreDispatchService {

    List<MesWorkOrderCalcQtyRecord> getWorkOrderCalcQtyRecordList(String organizeCode, Integer qty);

    @Transactional(propagation = Propagation.NOT_SUPPORTED)
    MesWorkOrder getWorkOrderDb(String organizeCode, Long workOrderId);

    @Transactional(propagation = Propagation.REQUIRES_NEW, noRollbackFor = {ImppBusiException.class, Exception.class})
    void doRestoreWorkOrderCalcQty(MesWorkOrderOffline workOrderOffline, Boolean result);


}
